#!/usr/bin/env python

import os
from distutils.core import Extension, setup

setup(name="python-greenlet",
      version='0.4.1',
      description='Lightweight in-process concurrent programming',
      long_description=open(os.path.join(os.path.dirname(__file__), 'README'), 'r').read(),
      maintainer="AG Projects",
      maintainer_email="support@ag-projects.com",
      url="http://devel.ag-projects.com/repositories/python-greenlet",
      license="MIT License",
      platforms=['any'],
      headers=['greenlet.h'],
      ext_modules=[Extension(name='greenlet', sources=['greenlet.c'])],
      classifiers=[
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python',
        'Operating System :: OS Independent',
        'Topic :: Software Development :: Libraries :: Python Modules'
      ])

